org.apache.hadoop.mapreduce.lib.join

## Class OuterJoinRecordReader<K extends WritableComparable<?>>

- java.lang.Object
- - org.apache.hadoop.mapreduce.RecordReader<K,V>
  - - org.apache.hadoop.mapreduce.lib.join.ComposableRecordReader<K,X>
    - - org.apache.hadoop.mapreduce.lib.join.CompositeRecordReader<K,Writable,TupleWritable>
      - - org.apache.hadoop.mapreduce.lib.join.JoinRecordReader<K>
        - - org.apache.hadoop.mapreduce.lib.join.OuterJoinRecordReader<K>

- All Implemented Interfaces:
    Closeable, AutoCloseable, Comparable<ComposableRecordReader<K,?>>, Configurable

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class OuterJoinRecordReader<K extends WritableComparable<?>>
      extends JoinRecordReader<K>

  Full outer join.

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.mapreduce.lib.join.CompositeRecordReader

      `conf, jc, key, keyclass, kids, value`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `combine(Object[] srcs, TupleWritable dst)` Emit everything from the collector.

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.join.JoinRecordReader

      `createValue, getDelegate, nextKeyValue`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.join.CompositeRecordReader

      `accept, add, close, compareTo, createKey, createTupleWritable, fillJoinCollector, getComparator, getConf, getCurrentKey, getCurrentValue, getProgress, getRecordReaderQueue, hasNext, id, initialize, key, key, setConf, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### combine

          protected boolean combine(Object[] srcs,
                                    TupleWritable dst)

      Emit everything from the collector.
      Specified by:
        `combine` in class `CompositeRecordReader<K extends WritableComparable<?>,Writable,TupleWritable>`

Copyright © 2022 Apache Software Foundation. All rights reserved.